# QwtIntervalSeriesData Class Reference

Interface for iterating over an array of intervals. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtIntervalSeriesData:
[legend]

List of all members.

## Public Member Functions

virtual QRectF | boundingRect () const
| QwtIntervalSeriesData (const QVector< QwtIntervalSample > &=QVector< QwtIntervalSample >())
virtual QwtIntervalSample | sample (size_t) const
const QVector< QwtIntervalSample > | samples () const
virtual void | setRectOfInterest (const QRectF &)
void | setSamples (const QVector< QwtIntervalSample > &)
virtual size_t | size () const

## Protected Attributes

QRectF | d_boundingRect
QVector< QwtIntervalSample > | d_samples

## Detailed Description

Interface for iterating over an array of intervals.

## Constructor & Destructor Documentation

QwtIntervalSeriesData::QwtIntervalSeriesData | ( | const QVector< QwtIntervalSample > & | samples = `QVector<QwtIntervalSample>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtIntervalSeriesData::boundingRect | ( |  | ) | const`[virtual]`

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QwtIntervalSample >.

virtual QwtIntervalSample QwtArraySeriesData< QwtIntervalSample >::sample | ( | size_t | i | ) | const`[virtual, inherited]`

Return a sample

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QwtIntervalSample >.

virtual size_t QwtArraySeriesData< QwtIntervalSample >::size | ( |  | ) | const`[virtual, inherited]`

Returns:
  Number of samples

Implements QwtSeriesData< QwtIntervalSample >.

## Member Data Documentation

QRectF QwtSeriesData< QwtIntervalSample >::d_boundingRect`[mutable, protected, inherited]`

Can be used to cache a calculated bounding rectangle.

QVector<QwtIntervalSample > QwtArraySeriesData< QwtIntervalSample >::d_samples`[protected, inherited]`

Vector of samples.